Bug 121087 - Segmentation fault compiling C++.
Summary: Segmentation fault compiling C++.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-16 22:43 UTC by Pedro Lamarão
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 21:31:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Pre-processed source that causes segmentation fault. (485.02 KB, text/plain)
2004-04-16 22:46 UTC, Pedro Lamarão
no flags Details
unpreprocessed source (907 bytes, text/plain)
2004-10-04 21:30 UTC, Richard Henderson
no flags Details

Description Pedro Lamarão 2004-04-16 22:43:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040404 Firefox/0.8

Description of problem:
Segmentation fault compiling invalid code.

Version-Release number of selected component (if applicable):
gcc-3.3.2-1

How reproducible:
Always

Steps to Reproduce:
See pre-processed source in attachment.
    

Additional info:

Comment 1 Pedro Lamarão 2004-04-16 22:46:06 UTC
Created attachment 99501 [details]
Pre-processed source that causes segmentation fault.

Comment 2 Richard Henderson 2004-10-04 21:30:10 UTC
Created attachment 104750 [details]
unpreprocessed source

Uninclude standard headers, so I can try with gcc 3.4.

Comment 3 Richard Henderson 2004-10-04 21:31:59 UTC
No ICE with gcc 3.4, which generates

z.c: In member function `void deleter::operator()(T)':
z.c:54: error: `i' undeclared (first use this function)
z.c:54: error: (Each undeclared identifier is reported only once for
each function it appears in.)
z.c: At global scope:
z.c:59: error: new types may not be defined in a return type
z.c:59: error: return type specification for destructor invalid
z.c: In destructor `Header::~Header()':
z.c:60: error: `m_managed' undeclared (first use this function)

So your main problem was the lack of a ';' at the end of 'struct deleter'.


Note You need to log in before you can comment on or make changes to this bug.